.coming-soon-page {
  .e-body {
    .fold {
      &.three {
        &.desktop {
          @import '../../../themes/variables/font';
          @import '../../../themes/variables/color';
          @import '../../../themes/mixins/animation';
          @import '../../../themes/mixins/utils';
          @import '../../../themes/mixins/media';

          $padding-v: 6.8%;
          $padding-h: 8%;

          $transition-duration: 1s;

          @mixin appear-animation {
            animation: appear 1s;
            /* min-width: calc(((100vw - 30rem - 9.6rem * 2) * 0.863 / 2)); */
          }

          display: flex;
          position: relative;
          z-index: 99;

          .section {
            display: flex;
            position: relative;
            align-items: center;
            justify-content: center;

            background-image: url('/media/image/coming-soon/fold-3/background.svg');
            background-position: center center;
            background-repeat: no-repeat;
            background-size: cover;

            min-width: 50%;

            .title {
              position: absolute;
              right: 0;
              left: 0;
              text-align: center;

              p {
                font-family: $specific-font-1;
                font-size: 7rem;
                letter-spacing: 0;
                line-height: 1.14;
                user-select: none;
              }
            }

            .cover {
              display: flex;
              position: relative;
              align-items: center;

              .mask {
                width: 24.2rem;
                height: 43rem;
              }

              .title {
                //
              }

              &:hover {
                cursor: pointer;
              }
            }

            .form {
              display: flex;
              position: relative;
              justify-content: center;

              padding: #{$padding-v / 2} #{$padding-h / 2};

              width: 100% - $padding-h * 2;
              min-width: calc((100vw - 30rem) / 2);
              height: 100% - $padding-v * 2;

              .left-col,
              .right-col {
                display: flex;
                position: relative;
                flex-direction: column;
                align-items: flex-start;

                width: 50%;
                min-width: calc(
                  ((100vw - 30rem - 9.6rem * 2 - #{$padding-h * 2}) / 2)
                );

                height: 100%;
              }

              .title {
                width: 100%;
              }

              .intro {
                margin-bottom: 12%;

                .main-text {
                  p {
                    color: $brown-1;
                    font-size: 3rem;
                    font-weight: 500;
                    letter-spacing: -0.06rem;
                    line-height: 1.3;
                    white-space: nowrap;
                  }
                }

                .sub-text {
                  color: $brown-1;
                  font-size: 1.8rem;
                  font-weight: 300;
                  line-height: 1.28;
                }
              }

              .button {
                justify-content: center;

                width: 13.1rem;
                height: 4rem;

                .button-label {
                  font-size: 1.8rem;
                  line-height: 1.28;
                }

                &.corner-button {
                  @include appear-animation;
                }
              }

              .form-container {
                width: 100%;

                .text-guide {
                  font-size: 1.8rem;
                  font-weight: 300;
                }

                .input-area {
                  margin-bottom: 1rem;

                  .text-label {
                    width: 100%;

                    color: $brown-1;
                    font-size: 1.4rem;
                    font-weight: 300;
                  }

                  .text-field {
                    margin-top: 1rem;
                    background-color: rgba(255, 255, 255, 0.24);
                    padding: 0.8rem;

                    width: 100%;
                    min-height: 4rem;

                    color: $white;
                    font-size: 1.6rem;

                    &:focus {
                      outline: none;
                    }

                    &.message {
                      min-height: 12rem;
                    }
                  }
                }
                .action-container {
                  .text-success {
                    float: right;
                    font-size: 1.4rem;
                    font-weight: 300;
                    margin-right: 10px;
                  }
                  .button {
                    float: right;
                  }
                }


              }
            }

            &.left {
              transition: min-width $transition-duration;
              background-color: $blue-1;

              .title {
                &,
                p {
                  color: $brown-1;
                }
              }
            }

            &.right {
              transition: min-width $transition-duration;
              background-color: $brown-1;

              .title {
                &,
                p {
                  color: $blue-1;
                }
              }
            }
          }

          /* LEFT ACTIVE */
          &.left-active {
            .section {
              &.left {
                z-index: 2;

                background-color: $blue-1;
                background-image: url('/media/image/coming-soon/fold-3/pattern-1.png');
                background-position: center center;
                background-repeat: repeat;
                background-size: 25%;

                min-width: 100%;
                height: 100vh;

                .form {
                  box-shadow: 0 0 0 0.1rem $brown-1, 0 0 0 1.2rem $blue-1,
                    0 0 0 1.5rem $brown-1;
                  background-color: $blue-1;

                  .button {
                    &.corner-button {
                      display: flex;
                      position: absolute;
                      top: -1.5rem;
                      right: -1.5rem;
                      align-items: center;

                      box-sizing: content-box;
                      background-color: $blue-1;
                      padding-bottom: 2.1rem;
                      padding-left: 3.5rem;

                      width: 25.2rem;
                      height: 5.4rem;

                      .button-label {
                        background-color: $brown-1;
                        width: 25.2rem;
                        height: 5.4rem;

                        color: $blue-1;
                        font-family: $specific-font-1;
                        font-size: 3.5rem;
                        white-space: nowrap;
                      }
                    }
                  }

                  .left-col {
                    justify-content: center;

                    .title {
                      /* margin-left: -#{$padding-h / 2}; */
                      transform: translateX(-12.5%);

                      p {
                        color: $brown-1;
                      }
                    }
                  }

                  .right-col {
                    align-items: flex-end;
                    align-self: flex-end;
                    justify-content: flex-end;

                    @include appear-animation;

                    .button {
                      background-color: $brown-1;

                      .button-label {
                        color: $blue-1;
                      }
                    }

                    .intro {
                      .main-text,
                      .sub-text {
                        &,
                        p {
                          text-align: right;
                        }
                      }

                      .button {
                        margin-top: 1.6rem;
                        margin-left: auto;
                      }
                    }

                    form {
                      .text-guide {
                        margin-bottom: 0.8rem;
                        text-align: right;
                      }

                      .input-area {
                        .text-label {
                          display: flex;
                          justify-content: flex-end;
                        }
                      }
                    }
                  }
                }
              }

              &.right {
                z-index: 1;
                min-width: 0%;
              }
            }
          }

          /* RIGHT ACTIVE */
          &.right-active {
            .section {
              &.left {
                z-index: 1;
                min-width: 0%;
              }

              &.right {
                z-index: 2;

                background-color: $brown-1;
                background-image: url('/media/image/coming-soon/fold-3/pattern-2.png');
                background-position: center center;
                background-repeat: repeat;
                background-size: 25%;

                min-width: 100%;
                height: 100vh;

                .form {
                  box-shadow: 0 0 0 0.1rem $blue-1, 0 0 0 1.2rem $brown-1,
                    0 0 0 1.5rem $blue-1;
                  background-color: $brown-1;

                  .button {
                    &.corner-button {
                      display: flex;
                      position: absolute;
                      top: -1.5rem;
                      left: -1.5rem;

                      align-items: center;
                      box-sizing: content-box;
                      background-color: $brown-1;
                      padding-right: 3.5rem;
                      padding-bottom: 2.1rem;

                      width: 25.2rem;
                      height: 5.4rem;

                      .button-label {
                        background-color: $blue-1;
                        width: 25.2rem;
                        height: 5.4rem;

                        color: $brown-1;
                        font-family: $specific-font-1;
                        font-size: 3.5rem;
                        white-space: nowrap;
                      }
                    }
                  }

                  .left-col {
                    justify-content: flex-end;

                    @include appear-animation;

                    .intro {
                      margin-right: auto;
                      margin-bottom: 0.8rem;
                      width: 100%;

                      .main-text {
                        p {
                          color: $blue-1;
                        }
                      }
                    }

                    .form-container {
                      .text-guide {
                        margin-bottom: 12%;
                        color: $blue-1;
                      }
                      .action-container {
                        flex-direction: column;
                        width: 100%;
                        .text-success {
                          float: left;
                          margin-bottom: 12%;
                          color: $blue-1;
                          margin-left: 10px;
                        }
                        .button {
                          float: left
                        }

                      }
                      .button {
                        margin-right: auto;
                        margin-left: initial;
                        background-color: $blue-1;

                        .button-label {
                          color: $brown-1;
                        }
                      }
                      .input-area {
                        .text-label {
                          color: $blue-1;
                        }
                      }

                    }
                  }

                  .right-col {
                    justify-content: center;

                    .title {
                      /* margin-right: -#{$padding-h}; */
                      transform: translateX(12.5%);

                      p {
                        color: $blue-1;
                      }
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  }
}
